Create response

View as Markdown

Creates a response object for processing. Returns immediately with the response object. Use GetResponse by response_id to poll for the complete result.

Authentication

AuthorizationBearer

JWT bearer token authentication. Obtain an access token from the Moveworks auth endpoint and include it in the Authorization header as ‘Bearer <token>’.

Path parameters

conversation_idstringRequiredformat: "^conv_[0-9A-HJKMNP-TV-Z]{26}$"

Unique conversation identifier (format: conv_<ulid>)

Headers

Assistant-NamestringRequired
The Moveworks assistant identifier that was configured for your organization.

Request

This endpoint expects an object.
inputobjectRequired

Response

Response accepted for processing (acknowledgement)

response_idstring

Unique response identifier (format: resp_<ulid>)

conversation_idstring
Parent conversation identifier
statusenum
Response processing status
Allowed values:
created_atdatetime

Creation timestamp (ISO 8601)

updated_atdatetime

Last update timestamp (ISO 8601)

outputslist of objects
Output items
completed_atdatetime or null

Completion timestamp (ISO 8601), null if not completed

errorobject or null

Error details (only present if status is FAILED)

Errors